org.wso2.carbon.webapp.mgt.sso

## Class WebappSSOConstants

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.sso.WebappSSOConstants

-     public class WebappSSOConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APP_SERVER_URL`
    `static String` | `CONSUMER_URL_POSTFIX`
    `static String` | `ENABLE_SAML2_SSO`
    `static String` | `HANDLE_CONSUMER_URL_AFTER_SLO`
    `static String` | `REDIRECT_PATH_AFTER_SLO`
    `protected static String` | `REQUEST_PARAM_MAP`
    `static String` | `SAMLSSOURL`
    `static String` | `SSO_AGENT_CONFIG`
    `static String` | `SSO_CONFIG_FILE_NAME`
    `static String` | `SSO_SP_CONFIG_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappSSOConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENABLE_SAML2_SSO

          public static final String ENABLE_SAML2_SSO

      See Also:
        Constant Field Values

    - #### SSO_CONFIG_FILE_NAME

          public static final String SSO_CONFIG_FILE_NAME

      See Also:
        Constant Field Values

    - #### SAMLSSOURL

          public static final String SAMLSSOURL

      See Also:
        Constant Field Values

    - #### SSO_AGENT_CONFIG

          public static final String SSO_AGENT_CONFIG

      See Also:
        Constant Field Values

    - #### HANDLE_CONSUMER_URL_AFTER_SLO

          public static final String HANDLE_CONSUMER_URL_AFTER_SLO

      See Also:
        Constant Field Values

    - #### REDIRECT_PATH_AFTER_SLO

          public static final String REDIRECT_PATH_AFTER_SLO

      See Also:
        Constant Field Values

    - #### REQUEST_PARAM_MAP

          protected static final String REQUEST_PARAM_MAP

      See Also:
        Constant Field Values

    - #### SSO_SP_CONFIG_PATH

          public static String SSO_SP_CONFIG_PATH

    - #### APP_SERVER_URL

          public static String APP_SERVER_URL

    - #### CONSUMER_URL_POSTFIX

          public static String CONSUMER_URL_POSTFIX

  - ### Constructor Detail

    - #### WebappSSOConstants

          public WebappSSOConstants()

Copyright © 2017 WSO2. All rights reserved.